Access Key Create
Create a new access key for the authenticated account. Access keys are used to authenticate API requests on behalf of the account in a more granular and service-friendly way than a session cookie. Access keys share the same roles and permissions as the owning account and only provide a way to use an `Authorization` header as an way of interacting with the Storyden API. Access keys also allow an expiry date to be set to limit how long a key can be used to authenticate against the API.
Create a new access key for the authenticated account. Access keys are used to authenticate API requests on behalf of the account in a more granular and service-friendly way than a session cookie.
Access keys share the same roles and permissions as the owning account
and only provide a way to use an Authorization header as an way of
interacting with the Storyden API.
Access keys also allow an expiry date to be set to limit how long a key can be used to authenticate against the API.
/auth/access-keysAuthorization
browser In: cookie
Request Body
application/json
The name of the access key.
When the access key expires, if null, it never expires.
date-timeResponse Body
application/json
application/json
curl -X POST "https://loading/api/auth/access-keys" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{
"id": "cc5lnd2s1s4652adtu50",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"misc": {},
"name": "string",
"enabled": true,
"expires_at": "2019-08-24T14:15:22Z",
"secret": "sdpak_a1b2c3d4cfc00d429ba841f9425c62f82341381b"
}{
"error": "string",
"message": "string",
"suggested": "string",
"metadata": {}
}Role Update Order PATCH
Update the global ordering of custom roles. The request body must include every non-default role identifier exactly once in the desired order of precedence.
Access Key Delete DELETE
Revoke an access key. This will immediately invalidate the key and it will no longer be usable for authentication.